.cube
  position: relative
  width: 200px
  height: 200px
  transform-style: preserve-3d
  transition: transform 1s ease-in-out

  &--show-back
    transform: rotateY(180deg)
  &--show-left
    transform: rotateY(90deg)
  &--show-right
    transform: rotateY(-90deg)
  &--show-top
    transform: rotateX(90deg)
  &--show-bottom
    transform: rotateX(-90deg)
  
  &__side
    position: absolute
    width: 200px
    height: 200px
    
    &-front
      transform: translateZ(100px)
    &-back
      transform: rotateY(180deg) translateZ(100px)
    &-left
      transform: rotateY(-90deg) translateZ(100px)
    &-right
      transform: rotateY(90deg)  translateZ(100px)
    &-top
      transform: rotateX(-90deg) translateZ(100px)
    &-bottom
      transform: rotateX(90deg)  translateZ(100px)
